Reasonable Code

ほどよいコードを書きたい

Spring Framework

build.gradleに定義した依存パッケージの最新版が取得できない場合の対処法

更新日:

build.gradleに定義した依存パッケージの最新版が取得できない場合の対処法をメモしておきます。

対処法

Gradleプロジェクト直下にある.gradleディレクトリを削除すればOKです。

.gradleディレクトリはbuild.gradleで定義された依存パッケージ(外部ライブラリ)をインポートするときに作成されるディレクトリです。おそらくこのディレクトリ内にキャッシュ(古い依存パッケージ)が残っていたため、最新版を取得できなかったのものと思われます。

IntelliJ IDEAのキャッシュを削除したり、gradleコマンドをいろいろ試したりしてもうまくいかない場合、上記コマンドをお試しください。

上記コマンドでも解決しない場合、以下コマンドを試してみてください。ホームディレクトリ直下の.gradleには依存パッケージ(外部ライブラリ)が格納されています。これを削除し、改めて外部ライブラリをインポートし直せばOKです。

まとめ

build.gradleに定義した依存パッケージの最新版が取得できない場合の対処法でした。

参考リンク

【RC】記事下記事内広告


-Spring Framework

Copyright© Reasonable Code , 2019 All Rights Reserved Powered by STINGER. App icon by icons8. Privacy Policy.